buildroot/package/olsr/S50olsr
Gustavo Zacarias 901024b805 olsr: bump to version 0.6.8
Also:

* Add hash file
* Rename patch to new naming convention
* Revamp/cleanup initscript
* Install sample config to the correct location

Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2015-01-25 14:58:37 +01:00

24 lines
457 B
Bash
Executable file

#!/bin/sh
case "$1" in
start)
echo -n "Starting oslrd daemon: "
start-stop-daemon -S -q -x /usr/sbin/olsrd -- -d 0 -pidfile /run/olsrd.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo -n "Stopping olsrd daemon: "
start-stop-daemon -K -q -p /run/olsrd.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?